
From: David Gibson <david@gibson.dropbear.id.au>

Fairly trivial PPC64 cleanup.  This patch makes the ppc64 INIT_THREAD
#define use C99 initializers, which will make it less likely to get broken
if we need to change thread_struct.

Signed-off-by: David Gibson <dwg@au1.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-ppc64/processor.h |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff -puN include/asm-ppc64/processor.h~ppc64-c99-initializers-in-init_thread include/asm-ppc64/processor.h
--- 25/include/asm-ppc64/processor.h~ppc64-c99-initializers-in-init_thread	Tue Aug 17 14:54:36 2004
+++ 25-akpm/include/asm-ppc64/processor.h	Tue Aug 17 14:54:36 2004
@@ -559,12 +559,12 @@ struct thread_struct {
 #define INIT_SP		(sizeof(init_stack) + (unsigned long) &init_stack)
 
 #define INIT_THREAD  { \
-	INIT_SP, /* ksp */ \
-	(struct pt_regs *)INIT_SP - 1, /* regs */ \
-	KERNEL_DS, /*fs*/ \
-	{0}, /* fpr */ \
-	0, /* fpscr */ \
-	MSR_FE0|MSR_FE1, /* fpexc_mode */ \
+	.ksp = INIT_SP, \
+	.regs = (struct pt_regs *)INIT_SP - 1, \
+	.fs = KERNEL_DS, \
+	.fpr = {0}, \
+	.fpscr = 0, \
+	.fpexc_mode = MSR_FE0|MSR_FE1, \
 }
 
 /*
_
